BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Application.Repositories.Leaves.TimeAttendants.DutyTimeRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.Leaves.TimeAttendants.DutyTimeRepository:

## Public Member Functions
| DutyTimeRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor, OrganizationCommonRepository organizationCommonRepository, UserProfileRepository userProfileRepository, IConfiguration configuration, EmailSenderService emailSenderService)
async Task< IReadOnlyList< DutyTime > > | GetAllActiveAsync ()
async Task< DutyTime?> | GetDefaultAsync ()
Public Member Functions inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, DutyTime >
| GenericLeaveRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Properties
Guid | UserOrganizationId`[get]`
Properties inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, DutyTime >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ DutyTimeRepository()

BMA.EHR.Application.Repositories.Leaves.TimeAttendants.DutyTimeRepository.DutyTimeRepository | ( | ILeaveDbContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor,
|  | OrganizationCommonRepository | organizationCommonRepository,
|  | UserProfileRepository | userProfileRepository,
|  | IConfiguration | configuration,
|  | EmailSenderService | emailSenderService
| ) |  |
| inline

## Member Function Documentation

## ◆ GetAllActiveAsync()

async Task< IReadOnlyList< DutyTime > > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.DutyTimeRepository.GetAllActiveAsync | ( |  | ) |
| inline

## ◆ GetDefaultAsync()

async Task< DutyTime?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.DutyTimeRepository.GetDefaultAsync | ( |  | ) |
| inline

## Property Documentation

## ◆ UserOrganizationId

Guid BMA.EHR.Application.Repositories.Leaves.TimeAttendants.DutyTimeRepository.UserOrganizationId
| get protected

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Leaves/TimeAttendants/DutyTimeRepository.cs